Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.resolve
Class AbstractIvyDependencyManager

    java.lang.Object
      org.codehaus.groovy.grails.resolve.AbstractIvyDependencyManager

    public abstract class AbstractIvyDependencyManager

extends Object

Base class for IvyDependencyManager with some logic implemented in Java.

Since:
  1.3
Author:
  Graeme Rocher

Field Summary
`static List<org.apache.ivy.core.module.descriptor.Configuration>` | `ALL_CONFIGURATIONS`
`protected String` | `applicationName`
`protected String` | `applicationVersion`
`static org.apache.ivy.core.module.descriptor.Configuration` | `BUILD_CONFIGURATION`
`static org.apache.ivy.core.module.descriptor.Configuration` | `COMPILE_CONFIGURATION`
`(package private) Map<String,List<String>>` | `configurationMappings`
`protected String[]` | `configurationNames`
`protected Set<org.apache.ivy.core.module.id.ModuleRevisionId>` | `dependencies`
`protected Set<org.apache.ivy.core.module.descriptor.DependencyDescriptor>` | `dependencyDescriptors`
`static org.apache.ivy.core.module.descriptor.Configuration` | `DOCS_CONFIGURATION`
`protected Set<String>` | `metadataRegisteredPluginNames`
`protected Set<org.apache.ivy.core.module.id.ModuleId>` | `modules`
`protected Map<String,Collection<org.apache.ivy.core.module.id.ModuleRevisionId>>` | `orgToDepMap`
`protected Set<org.apache.ivy.core.module.descriptor.DependencyDescriptor>` | `pluginDependencyDescriptors`
`protected Set<String>` | `pluginDependencyNames`
`protected Map<String,org.apache.ivy.core.module.descriptor.DependencyDescriptor>` | `pluginNameToDescriptorMap`
`static org.apache.ivy.core.module.descriptor.Configuration` | `PROVIDED_CONFIGURATION`
`static org.apache.ivy.core.module.descriptor.Configuration` | `RUNTIME_CONFIGURATION`
`static org.apache.ivy.core.module.descriptor.Configuration` | `TEST_CONFIGURATION`

Constructor Summary
`AbstractIvyDependencyManager()`

Method Summary
`void` | `addDependency(org.apache.ivy.core.module.id.ModuleRevisionId revisionId)` Adds a dependency to the project
`void` | `addDependencyDescriptor(org.apache.ivy.core.module.descriptor.DependencyDescriptor dd)` Adds a dependency descriptor to the project
`protected org.apache.ivy.core.module.id.ArtifactId` | `createExcludeArtifactId(String excludeName)`
`protected org.apache.ivy.core.module.id.ArtifactId` | `createExcludeArtifactId(String excludeName, String group)`
`org.apache.ivy.core.module.descriptor.ModuleDescriptor` | `createModuleDescriptor()`
`String` | `getApplicationName()`
`String` | `getApplicationVersion()`
`Map<String,List<String>>` | `getConfigurationMappings()`
`String[]` | `getConfigurationNames()`
`Set<org.apache.ivy.core.module.id.ModuleRevisionId>` | `getDependencies()` Obtains a list of dependencies defined in the project
`(package private) Set<org.apache.ivy.core.module.descriptor.DependencyDescriptor>` | `getDependencyDescriptors()` Obtains a set of dependency descriptors defined in the project
`Set<String>` | `getMetadataRegisteredPluginNames()`
`org.apache.ivy.core.module.descriptor.DependencyDescriptor` | `getPluginDependencyDescriptor(String pluginName)` Obtains a particular DependencyDescriptor by the plugin name
`(package private) Set<org.apache.ivy.core.module.descriptor.DependencyDescriptor>` | `getPluginDependencyDescriptors()` Obtains a set of plugin dependency descriptors defined in the project
`Set<String>` | `getPluginDependencyNames()` Obtains a set of plugins this application is dependent onb
`Set<String>` | `getPluginExcludes(String plugin)`
`boolean` | `isExcludedFromPlugin(org.apache.ivy.core.module.descriptor.DependencyDescriptor currentPlugin, org.apache.ivy.core.module.id.ArtifactId dependency)`
`boolean` | `isExcludedFromPlugin(String plugin, String dependencyName)`
`boolean` | `isPluginTransitive(String pluginName)` Returns whether a plugin is transitive
`void` | `setApplicationName(String applicationName)`
`void` | `setApplicationVersion(String applicationVersion)`
`void` | `setMetadataRegisteredPluginNames(Set<String> metadataRegisteredPluginNames)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BUILD_CONFIGURATION

    public static org.apache.ivy.core.module.descriptor.Configuration BUILD_CONFIGURATION

### COMPILE_CONFIGURATION

    public static org.apache.ivy.core.module.descriptor.Configuration COMPILE_CONFIGURATION

### RUNTIME_CONFIGURATION

    public static org.apache.ivy.core.module.descriptor.Configuration RUNTIME_CONFIGURATION

### TEST_CONFIGURATION

    public static org.apache.ivy.core.module.descriptor.Configuration TEST_CONFIGURATION

### PROVIDED_CONFIGURATION

    public static org.apache.ivy.core.module.descriptor.Configuration PROVIDED_CONFIGURATION

### DOCS_CONFIGURATION

    public static org.apache.ivy.core.module.descriptor.Configuration DOCS_CONFIGURATION

### ALL_CONFIGURATIONS

    public static List<org.apache.ivy.core.module.descriptor.Configuration> ALL_CONFIGURATIONS

### configurationMappings

    Map<String,List<String>> configurationMappings

### configurationNames

    protected String[] configurationNames

### modules

    protected Set<org.apache.ivy.core.module.id.ModuleId> modules

### dependencies

    protected Set<org.apache.ivy.core.module.id.ModuleRevisionId> dependencies

### dependencyDescriptors

    protected Set<org.apache.ivy.core.module.descriptor.DependencyDescriptor> dependencyDescriptors

### pluginDependencyDescriptors

    protected Set<org.apache.ivy.core.module.descriptor.DependencyDescriptor> pluginDependencyDescriptors

### pluginDependencyNames

    protected Set<String> pluginDependencyNames

### metadataRegisteredPluginNames

    protected Set<String> metadataRegisteredPluginNames

### orgToDepMap

    protected Map<String,Collection<org.apache.ivy.core.module.id.ModuleRevisionId>> orgToDepMap

### pluginNameToDescriptorMap

    protected Map<String,org.apache.ivy.core.module.descriptor.DependencyDescriptor> pluginNameToDescriptorMap

### applicationName

    protected String applicationName

### applicationVersion

    protected String applicationVersion

Constructor Detail

### AbstractIvyDependencyManager

    public AbstractIvyDependencyManager()

Method Detail

### getDependencyDescriptors

    Set<org.apache.ivy.core.module.descriptor.DependencyDescriptor> getDependencyDescriptors()

  Obtains a set of dependency descriptors defined in the project

### getMetadataRegisteredPluginNames

    public Set<String> getMetadataRegisteredPluginNames()

### setMetadataRegisteredPluginNames

    public void setMetadataRegisteredPluginNames(Set<String> metadataRegisteredPluginNames)

### getPluginDependencyDescriptors

    Set<org.apache.ivy.core.module.descriptor.DependencyDescriptor> getPluginDependencyDescriptors()

  Obtains a set of plugin dependency descriptors defined in the project

### getPluginDependencyDescriptor

    public org.apache.ivy.core.module.descriptor.DependencyDescriptor getPluginDependencyDescriptor(String pluginName)

  Obtains a particular DependencyDescriptor by the plugin name

  Parameters:
    `pluginName` - The plugin name
  Returns:
    A DependencyDescriptor or null

### getPluginDependencyNames

    public Set<String> getPluginDependencyNames()

  Obtains a set of plugins this application is dependent onb

  Returns:
    A set of plugins names

### getDependencies

    public Set<org.apache.ivy.core.module.id.ModuleRevisionId> getDependencies()

  Obtains a list of dependencies defined in the project

### getApplicationName

    public String getApplicationName()

### setApplicationName

    public void setApplicationName(String applicationName)

### getApplicationVersion

    public String getApplicationVersion()

### setApplicationVersion

    public void setApplicationVersion(String applicationVersion)

### getConfigurationNames

    public String[] getConfigurationNames()

### getConfigurationMappings

    public Map<String,List<String>> getConfigurationMappings()

### isPluginTransitive

    public boolean isPluginTransitive(String pluginName)

  Returns whether a plugin is transitive

  Parameters:
    `pluginName` - The name of the plugin
  Returns:
    True if the plugin is transitive

### addDependency

    public void addDependency(org.apache.ivy.core.module.id.ModuleRevisionId revisionId)

  Adds a dependency to the project

  Parameters:
    `revisionId` - The ModuleRevisionId instance

### createExcludeArtifactId

    protected org.apache.ivy.core.module.id.ArtifactId createExcludeArtifactId(String excludeName)

### createExcludeArtifactId

    protected org.apache.ivy.core.module.id.ArtifactId createExcludeArtifactId(String excludeName,
                                                                               String group)

### addDependencyDescriptor

    public void addDependencyDescriptor(org.apache.ivy.core.module.descriptor.DependencyDescriptor dd)

  Adds a dependency descriptor to the project

  Parameters:
    `dd` - The DependencyDescriptor instance

### createModuleDescriptor

    public org.apache.ivy.core.module.descriptor.ModuleDescriptor createModuleDescriptor()

### isExcludedFromPlugin

    public boolean isExcludedFromPlugin(String plugin,
                                        String dependencyName)

### isExcludedFromPlugin

    public boolean isExcludedFromPlugin(org.apache.ivy.core.module.descriptor.DependencyDescriptor currentPlugin,
                                        org.apache.ivy.core.module.id.ArtifactId dependency)

### getPluginExcludes

    public Set<String> getPluginExcludes(String plugin)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD